Skip to main content
GET
List bookings
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

type
string

To get the bookings of a particular type only. The available types are upcoming, past, cancelled, and incomplete. If no value is passed it will default to all bookings.

page_number
integer

Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.

page_size
integer

Set the number of results returned in the response. Defaulting to 30 when omitted.

host_email
string

To get the bookings of a particular host only.

client_email
string

To get the bookings of a particular client only.

parent_booking_id
string

To get bookings associated with a parent booking, including recurring bookings created alongside the primary booking.

filters
object

Apply filters on your bookings.

sorting_order
enum<string>

Sort bookings by booking creation date. The default value is desc.

Available options:
asc,
desc

Response

200 - application/json

OK - Request succeeded

bookings
object[]

List of bookings.

pagination
object